UiPath Documentation
automation-suite
2022.4
false
Automation Suite API-Handbuch
Wichtig :
Bitte beachten Sie, dass dieser Inhalt teilweise mithilfe von maschineller Übersetzung lokalisiert wurde. Es kann 1–2 Wochen dauern, bis die Lokalisierung neu veröffentlichter Inhalte verfügbar ist.

Zuweisung von Lizenzen zu einem Mandanten

Verwenden Sie als Hostadministrator diesen Endpunkt, um einem Mandanten Lizenzen basierend auf der Mandanten-ID zuzuweisen.

Wichtig:

Um Organisationen und Mandanten Lizenzen zuzuweisen, müssen Sie sich mit den Host-Anmeldeinformationen authentifizieren.

API-Endpunkt​

PUT https://{yourDomain}/lrm/api/account/{accountId}/service-license/{serviceScopeId}/{serviceType}

Hinweis:

Um jedem aktivierten Dienst des Mandanten Lizenzen zuzuweisen, müssen Sie für jeden Dienst einen separaten API-Aufruf durchführen.

Anforderungsheader​

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
Hinweis:

To obtain the {access_token}, make sure to authenticate through the ROPC method described here.

Pfadparameter​

PfadparameterDatentypBeschreibung
accountId

(erforderlich)
StringDie ID der Organisation, in der sich Ihr Mandant befindet.
serviceScopeId

(erforderlich)
StringDie ID des Mandanten, dem Sie Lizenzen zuweisen möchten.
serviceType

(erforderlich)
StringDer Diensttyp.

Anforderungstext​

Der Anforderungstext enthält das Array der Lizenzcodes für verschiedene Produkte und die entsprechende Menge.

    {
      "tenantName": "string",
      "products":
        [
          { "code": "string", "quantity": 0 }
        ]
    }
    {
      "tenantName": "string",
      "products":
        [
          { "code": "string", "quantity": 0 }
        ]
    }
Hinweis:
  • To see the available license codes you may use in the request body, check out License codes.
  • Sie können so viele Lizenzen zuweisen, wie die Organisation erworben hat.

Antworten​

200 OK​

Gibt die zugeordneten Dienstlizenzen zurück.

{
  "accountId": "string",
  "serviceScopeId": "string",
  "serviceType": "string",
  "license": {
    "licenseCode": "string",
    "bundleCode": "string",
    "subscriptionCode": "string",
    "licenseStatus": "string",
    "startDate": 0,
    "endDate": 0,
    "gracePeriod": 0,
    "products": [
      {
        "code": "string",
        "quantity": 0,
        "type": "string",
        "features": [
          {
            "code": "string",
            "type": "string",
            "value": "string"
          }
        ]
      }
    ],
    "templates": [
      {
        "productCode": "string",
        "products": [
          {
            "code": "string",
            "type": "string"
          }
        ]
      }
    ],
    "payload": "string",
    "boonLicenseCode": "string"
  },
  "userLicensingEnabled": true,
  "accountLicenseCode": "string"
}
{
  "accountId": "string",
  "serviceScopeId": "string",
  "serviceType": "string",
  "license": {
    "licenseCode": "string",
    "bundleCode": "string",
    "subscriptionCode": "string",
    "licenseStatus": "string",
    "startDate": 0,
    "endDate": 0,
    "gracePeriod": 0,
    "products": [
      {
        "code": "string",
        "quantity": 0,
        "type": "string",
        "features": [
          {
            "code": "string",
            "type": "string",
            "value": "string"
          }
        ]
      }
    ],
    "templates": [
      {
        "productCode": "string",
        "products": [
          {
            "code": "string",
            "type": "string"
          }
        ]
      }
    ],
    "payload": "string",
    "boonLicenseCode": "string"
  },
  "userLicensingEnabled": true,
  "accountLicenseCode": "string"
}

Für die angegebene Organisation ist keine Kontolizenz zugewiesen.

Die Lizenzzuweisung ist nicht zulässig, da sie die Anzahl der Kontolizenzen überschreitet.

Beispielanforderung​

Angenommen, Sie haben alle Informationen gesammelt, die zum Erstellen des API-Aufrufs erforderlich sind.

  • Ihre {baseURL} ist: https://tom-jones-server.com
  • Ihre {access_token} ist: 1234 (aus Gründen der Länge).
  • Die {accountId} des Mandanten, der eine Lizenzzuweisung benötigt, ist: y-y-y-delilah
  • Der {serviceScopeId} ist: y1968. Der Mandant hat den Document Understanding-Dienst aktiviert.
  • Sie möchten der Organisation Produktlizenzen wie folgt zuweisen:

Der Aufruf sollte dem folgenden Beispiel ähneln (cURL):

curl --location --request POST 'https://tom-jones-server.com/lrm/api/account/y-y-y-delilah/service-license/y1968/?????' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
    "productQuantities":
        [
          { "code": "UNATT", "quantity": 5 },
          { "code": "NONPR", "quantity": 4 },
          { "code": "TIE", "quantity": 2 }
        ]
}'
curl --location --request POST 'https://tom-jones-server.com/lrm/api/account/y-y-y-delilah/service-license/y1968/?????' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
    "productQuantities":
        [
          { "code": "UNATT", "quantity": 5 },
          { "code": "NONPR", "quantity": 4 },
          { "code": "TIE", "quantity": 2 }
        ]
}'

Hier ist der Antworttext für eine erfolgreiche Lizenzzuweisung:

{
  "accountId": "y-y-y-delilah",
  "serviceScopeId": "y1968",
  "serviceType": "string",
  "license": {
    "licenseCode": "string",
    "bundleCode": "string",
    "subscriptionCode": "string",
    "licenseStatus": "string",
    "startDate": 0,
    "endDate": 0,
    "gracePeriod": 0,
    "products": [
      {
        "code": "string",
        "quantity": 0,
        "type": "string",
        "features": [
          {
            "code": "string",
            "type": "string",
            "value": "string"
          }
        ]
      }
    ],
    "templates": [
      {
        "productCode": "string",
        "products": [
          {
            "code": "string",
            "type": "string"
          }
        ]
      }
    ],
    "payload": "string",
    "boonLicenseCode": "string"
  },
  "userLicensingEnabled": true,
  "accountLicenseCode": "string"
}
{
  "accountId": "y-y-y-delilah",
  "serviceScopeId": "y1968",
  "serviceType": "string",
  "license": {
    "licenseCode": "string",
    "bundleCode": "string",
    "subscriptionCode": "string",
    "licenseStatus": "string",
    "startDate": 0,
    "endDate": 0,
    "gracePeriod": 0,
    "products": [
      {
        "code": "string",
        "quantity": 0,
        "type": "string",
        "features": [
          {
            "code": "string",
            "type": "string",
            "value": "string"
          }
        ]
      }
    ],
    "templates": [
      {
        "productCode": "string",
        "products": [
          {
            "code": "string",
            "type": "string"
          }
        ]
      }
    ],
    "payload": "string",
    "boonLicenseCode": "string"
  },
  "userLicensingEnabled": true,
  "accountLicenseCode": "string"
}
  • API-Endpunkt​
  • Anforderungsheader​
  • Pfadparameter​
  • Anforderungstext​
  • Antworten​
  • 200 OK​
  • 404​
  • 409​
  • Beispielanforderung​

War diese Seite hilfreich?

Verbinden

Benötigen Sie Hilfe? Support

Möchten Sie lernen? UiPath Academy

Haben Sie Fragen? UiPath-Forum

Auf dem neuesten Stand bleiben